## dds 1.1.5+ddd105

=== ddd/Makefile ===
# HOW TO COMPILE AND LINK THIS WITH THE LATEST VERSION OF DDS
#
# The following is suggested:
#
#   - obtain the latest .cpp and dll.h file for version 1.0x
#     of Bo Haglund's DDS
#   - rename them to dds10x.cpp and dds10x.h and copy them into this directory
#   - change the include below to reflect the version dds10x.h
#
# Linux: compile and link as follows:
#   g++ -O2 -Wall -o ./ddd ddd.cpp dds10x.cpp defs.cpp timer.cpp giblib.cpp rng.cpp
#
# Windows: compile and link as follows:
#   g++ -O2 -Wall -o ddd.exe ddd.cpp dds10x.cpp defs.cpp timer.cpp giblib.cpp rng.cpp
#
# for debugging change the switch '-O2' to '-g'
#
# Note: on MingW you must have _WIN32 defined to compile code in timer.cpp
#
# Using the Makefile:
# There is a Makefile supplied, edit it for the correct version of dds10x.
# Run 'make' (or 'mingw32-make') to produce the executable,
# note that the executable is written to ../exe/ddd.
# To make the debug executable run 'make debug',
# the debug executable is written to ../exe/dddd.
#
# The Makefile creates separate directories ../objr and ../objd for
# compiled object files, apart from the directory ../exe for executables.

CXX=g++
CXXFLAGS=-g -Wall -I.. -O2
LDFLAGS=-L..
LIBS=-ldds
OBJ=ddd.o defs.o timer.o giblib.o rng.o
PREFIX=/usr/local

ddd: $(OBJ)
	g++ $(LDFLAGS) -o $@ $^ $(LIBS)

install:
	install -d $(DESTDIR)$(PREFIX)/games
	install ddd $(DESTDIR)$(PREFIX)/games/dds

clean:
	rm -f $(OBJ) ddd

## dds 1.1.7+ddd105-1~bpo40+1

=== debian/changelog ===
dds (1.1.7+ddd105-1~bpo40+1) etch-backports; urgency=low

  * Backport to etch.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Nov 2007 21:41:08 +0100

dds (1.1.7+ddd105-1) unstable; urgency=low

  * New dds upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Oct 2007 22:42:43 +0200

dds (1.1.5+ddd105-2) unstable; urgency=low

  * Include patch by upstream that removes debugging code.
  * The C compatibility patch went upstream, thanks Bo.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Jun 2007 14:05:01 +0100

dds (1.1.5+ddd105-1) unstable; urgency=low

  * New dds upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Jun 2007 14:39:23 +0200

dds (1.1.4+ddd105-2) unstable; urgency=low

  * Fetch revision h API docs.
  * Use C compiler so libdds.a doesn't need C++ linkage.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Jun 2007 16:45:22 +0200

dds (1.1.4+ddd105-1) unstable; urgency=low

  * New dds upstream version.
    + mode=2 can now be used with any target/solutions/lead.

 -- Christoph Berg <myon@debian.org>  Sat, 12 May 2007 12:30:20 +0200

dds (1.1.3+ddd105-1) unstable; urgency=low

  * New dds upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 12 Mar 2007 16:49:36 +0100

dds (1.1.2+ddd105-1) unstable; urgency=low

  * New ddd upstream version.
  * Move python module to subdir.
  * Note python module license (dual GPL v2+/CC Attribution 2.5, we apply
    GPL).

 -- Christoph Berg <myon@debian.org>  Fri, 23 Feb 2007 17:13:32 +0100

dds (1.1.2-1) unstable; urgency=low

  * New upstream version.
  * Fix ddd.cpp for updated API.
  * Add missing Sections in control.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Feb 2007 15:34:36 +0100

dds (1.1-1) unstable; urgency=low

  * Initial release (Closes: #407721).

 -- Christoph Berg <myon@debian.org>  Thu, 25 Jan 2007 15:20:48 +0100

## dds 1.1.7+ddd105-1

=== Makefile ===
CFLAGS=-g -Wall -O2
PREFIX=/usr/local

all: libdds.a python

dds.h:
	ln -s dll.h dds.h

dds.c:
	ln -s dds.cpp $@

dds.o: dds.c dds.h

libdds.a: dds.o
	ar rc $@ $^
	ranlib $@

install:
	install -d $(DESTDIR)$(PREFIX)/include $(DESTDIR)$(PREFIX)/lib
	install -m644 dll.h $(DESTDIR)$(PREFIX)/include/dds.h
	install libdds.a $(DESTDIR)$(PREFIX)/lib

clean:
	rm -f dds.o libdds.a dds.c dds.h

=== debian/control ===
Source: dds
Section: games
Priority: extra
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>> 4), quilt (>= 0.40-1),
 python-dev (>= 2.3), python, python-central (>= 0.5)
Standards-Version: 3.7.2
XS-Python-Version: current

Package: dds
Architecture: any
Depends: ${shlibs:Depends}
Description: bridge double dummy solver - frontend
 dds is a double dummy solver. This package contains the driver frontend
 (originally named ddd).
 .
 A double dummy solver computes the optimal line of play for a bridge deal,
 with all hands open (both sides dummy).
 .
 http://web.telia.com/~u88910365/

Package: libdds-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}
Description: bridge double dummy solver - library
 dds is a double dummy solver. This package contains the static library and the
 documentation.
 .
 A double dummy solver computes the optimal line of play for a bridge deal,
 with all hands open (both sides dummy).
 .
 http://web.telia.com/~u88910365/

Package: python-pydds
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: bridge double dummy solver - python extension
 dds is a double dummy solver. This package contains pydds, the python
 extension.
 .
 A double dummy solver computes the optimal line of play for a bridge deal,
 with all hands open (both sides dummy).
 .
 http://web.telia.com/~u88910365/ http://www.aleax.it/Bridge/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

build build-indep build-arch: build-stamp
build-stamp: $(QUILT_STAMPFN)
	# libdds
	$(MAKE)
	# dds
	$(MAKE) -C ddd
	sed -ne '/^\/\* =/,/^\*\//p' ddd/giblib.h > ddd/giblib.txt
	# pydds
	-ln -s ../dll.h ../dds.cpp python
	cd python && python setup.py build
	touch $@

install: build-stamp
	dh_testroot
	dh_clean -k
	# libdds
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/libdds-dev
	# dds
	$(MAKE) -C ddd install PREFIX=/usr DESTDIR=$(CURDIR)/debian/dds
	# pydds
	cd python && python setup.py install --root $(CURDIR)/debian/python-pydds

binary-indep:

binary-arch: install
	dh_installchangelogs -a release_notes.txt
	dh_installdocs -a -A debian/README.Debian
	dh_installman -a
	dh_installexamples -a
	dh_strip -a
	dh_compress -a
	dh_pycentral -p'python-pydds'
	dh_fixperms -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

clean: unpatch
	dh_testdir
	-$(MAKE) clean
	-$(MAKE) -C ddd clean
	rm -rf python/build
	dh_clean build-stamp ddd/giblib.txt python/dll.h python/dds.cpp

.PHONY: build build-indep build-arch clean binary binary-indep binary-arch install configure patch unpatch

=== debian/watch ===
version=3
http://web.telia.com/~u88910365/dds(.*)-src.zip
http://web.telia.com/~u88910365/ddd(.*).zip

## dds 1.1.8+ddd105-1

=== debian/changelog ===
dds (1.1.8+ddd105-1) unstable; urgency=low

  * New dds upstream version.
  * Update upstream URL and correctly mangle version numbers in watch file.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Mar 2008 21:24:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>> 4), quilt (>= 0.40-1),
  python-dev (>= 2.3), python, python-central (>= 0.5)
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 XS-Python-Version: current
+Homepage: http://web.telia.com/~u07502278/
+Vcs-Browser: http://svn.df7cb.de/bridge/dds/
 
 Package: dds
 Architecture: any
@@ -16,8 +18,6 @@
  .
  A double dummy solver computes the optimal line of play for a bridge deal,
  with all hands open (both sides dummy).
- .
- http://web.telia.com/~u88910365/
 
 Package: libdds-dev
 Section: libdevel
@@ -29,8 +29,6 @@
  .
  A double dummy solver computes the optimal line of play for a bridge deal,
  with all hands open (both sides dummy).
- .
- http://web.telia.com/~u88910365/
 
 Package: python-pydds
 Section: python
@@ -44,5 +42,3 @@
  .
  A double dummy solver computes the optimal line of play for a bridge deal,
  with all hands open (both sides dummy).
- .
- http://web.telia.com/~u88910365/ http://www.aleax.it/Bridge/

=== debian/watch ===
version=3
http://web.telia.com/~u07502278/dds(.)(.)(.)-src.zip
opts=dversionmangle=s/.*ddd// \
  http://web.telia.com/~u07502278/ddd(.*).zip

## dds 2.1.2+ddd105

=== debian/changelog ===
dds (2.1.2+ddd105-1) unstable; urgency=low

  * New dds upstream version.
  * Update watch file to mangle the ddd version to 1.0.5.
  * Source format 3.0.
  * Update to dh_python2, supporting multiple python versions in parallel.

 -- Christoph Berg <myon@debian.org>  Sat, 31 Dec 2011 18:02:22 +0200

dds (2.1.1+ddd105-2) unstable; urgency=low

  * Also run python test when building.

 -- Christoph Berg <myon@debian.org>  Wed, 09 Feb 2011 13:40:17 +0100

dds (2.1.1+ddd105-1) experimental; urgency=low

  * New dds upstream version.
    + InitStart now takes 2 arguments for configuring usage of system
      resources.
  * Compiled with OpenMP support.
  * Add InitStart to the manpage.

 -- Christoph Berg <myon@debian.org>  Sat, 02 Oct 2010 22:30:08 +0200

dds (2.0.1+ddd105-1) unstable; urgency=low

  * New dds upstream version, in some situations
    dds could wrongly reuse the transposition table contents giving an
    incorrect result.
  * Defines DDS_VERSION.

 -- Christoph Berg <myon@debian.org>  Sun, 23 May 2010 11:56:03 +0200

dds (2.0.0+ddd105-1) unstable; urgency=low

  * New dds upstream version (only bumping version).
  * Add SolveBoard.3 manpage.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Apr 2010 23:27:57 +0200

dds (1.2.0+ddd105-1) experimental; urgency=low

  * New dds upstream version.
    + New API, upload to experimental.
  * Update author's homepage and email address.
  * Bump to DH level 7.

 -- Christoph Berg <myon@debian.org>  Tue, 13 Apr 2010 10:27:10 +0200

dds (1.1.9+ddd105-2) unstable; urgency=low

  * Update watch file with correct dversionmangling.

 -- Christoph Berg <myon@debian.org>  Thu, 30 Oct 2008 23:19:27 +0100

dds (1.1.9+ddd105-1) unstable; urgency=low

  * New dds upstream version.
  * Remove obsolete patches dll.h-buildpath and dll.h-longlong.
  * control: bump standards version, some minor changes suggested by lintian.
  * rules: run ddd for testing.

 -- Christoph Berg <myon@debian.org>  Sun, 14 Sep 2008 23:35:10 +0200

=== debian/control ===
Source: dds
Section: games
Priority: extra
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>> 7), python-all-dev (>= 2.6.6-3~)
Standards-Version: 3.9.2
Homepage: http://privat.bahnhof.se/wb758135/
Vcs-Browser: http://svn.df7cb.de/bridge/dds/trunk
Vcs-Svn: http://svn.df7cb.de/bridge/dds/trunk

Package: dds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bridge double dummy solver - frontend
 dds is a double dummy solver. This package contains the driver frontend
 (originally named ddd).
 .
 A double dummy solver computes the optimal line of play for a bridge deal,
 with all hands open (both sides dummy).

Package: libdds-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bridge double dummy solver - library
 dds is a double dummy solver. This package contains the static library and the
 documentation.
 .
 A double dummy solver computes the optimal line of play for a bridge deal,
 with all hands open (both sides dummy).

Package: python-pydds
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: bridge double dummy solver - Python extension
 dds is a double dummy solver. This package contains pydds, the Python
 extension.
 .
 A double dummy solver computes the optimal line of play for a bridge deal,
 with all hands open (both sides dummy).

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ddd\d+// \
  http://privat.bahnhof.se/wb758135/dds(.)(.)(.)-src.zip
opts=dversionmangle=s/.*ddd(.)(.)(.)/$1.$2.$3/,uversionmangle=s/(.)(.)(.)/$1.$2.$3/ \
  http://privat.bahnhof.se/wb758135/ddd(.*).zip

## dds 2.4.2%2Bddd105

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS=-g -Wall -O2
+CFLAGS=-g -Wall -O2 -std=c99 -fopenmp
 PREFIX=/usr/local
 
 all: libdds.a python

## dds 2.4.2+ddd105

=== ddd/Makefile ===
--- 
+++ 
@@ -28,18 +28,21 @@
 # compiled object files, apart from the directory ../exe for executables.
 
 CXX=g++
-CXXFLAGS=-g -Wall -I.. -O2
+CXXFLAGS=-g -Wall -O2
 LDFLAGS=-L..
 LIBS=-ldds
 OBJ=ddd.o defs.o timer.o giblib.o rng.o
 PREFIX=/usr/local
 
-ddd: $(OBJ)
+ddd: dds11x.h $(OBJ)
 	g++ $(LDFLAGS) -o $@ $^ $(LIBS)
+
+dds11x.h:
+	ln -s ../dll.h $@
 
 install:
 	install -d $(DESTDIR)$(PREFIX)/games
 	install ddd $(DESTDIR)$(PREFIX)/games/dds
 
 clean:
-	rm -f $(OBJ) ddd
+	rm -f $(OBJ) ddd dds11x.h

=== debian/changelog ===
dds (2.4.2+ddd105-1) unstable; urgency=medium

  * New dds upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 21 Jan 2014 16:23:21 +0100

dds (2.3.0+ddd105-2) unstable; urgency=low

  * Use -std=gnu99 so popen() is available. Thanks to Adam Conrad for the
    patch! Closes: #727777.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Nov 2013 22:16:56 +0100

dds (2.3.0+ddd105-1) unstable; urgency=low

  * New dds upstream version, now using Apache License, Version 2.0.
  * Update watchfile to only look for dds, dehs will only see the ddd version
    otherwise.
  * Remove debian/patches/dll.h-fix-version, dds.cpp-autoconfig.
  * Remove some compiler warnings.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2013 18:11:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: extra
 Maintainer: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>> 7), python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>> 9), python-all-dev (>= 2.6.6-3~)
+Standards-Version: 3.9.5
 Homepage: http://privat.bahnhof.se/wb758135/
 Vcs-Browser: http://svn.df7cb.de/bridge/dds/trunk
 Vcs-Svn: http://svn.df7cb.de/bridge/dds/trunk

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ddd\d+// \
  http://privat.bahnhof.se/wb758135/dds(.)(.)(.)-src.zip
#opts=dversionmangle=s/.*ddd(.)(.)(.)/$1.$2.$3/,uversionmangle=s/(.)(.)(.)/$1.$2.$3/ \
#  http://privat.bahnhof.se/wb758135/ddd(.*).zip

## dds 2.5.2+ddd105

=== debian/changelog ===
dds (2.5.2+ddd105-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:18:59 +0000

dds (2.5.2+ddd105-1) unstable; urgency=medium

  * New dds upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 26 May 2014 22:23:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dds
 Section: games
 Priority: extra
-Maintainer: Christoph Berg <myon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>> 9), python-all-dev (>= 2.6.6-3~)
 Standards-Version: 3.9.5
 Homepage: http://privat.bahnhof.se/wb758135/

=== debian/rules ===
#!/usr/bin/make -f

PYVERSIONS:=$(shell pyversions -vr)

build-indep:

build build-arch: build-stamp
build-stamp:
	# libdds
	$(MAKE)
	# dds
	$(MAKE) -C ddd
	sed -ne '/^\/\* =/,/^\*\//p' ddd/giblib.h > ddd/giblib.txt
	# pydds
	-ln -s ../dll.h ../dds.cpp python
	cd python && set -ex && for v in $(PYVERSIONS) ; do python$$v setup.py build ; done
	touch $@

install: build-stamp
	dh_testroot
	dh_prep
	# libdds
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/libdds-dev
	# dds
	$(MAKE) -C ddd install PREFIX=/usr DESTDIR=$(CURDIR)/debian/dds
	# pydds
	cd python && set -ex && for v in $(PYVERSIONS) ; do python$$v setup.py install --root $(CURDIR)/debian/python-pydds --install-layout=deb ; done

test-ddd: build-stamp
	@echo Running ddd test ...
	ddd/ddd -giblib=1-100 ddd/test.gib
	@echo ddd test passed.

test-python: build-stamp
	@echo Running pydds test ...
	cd python && set -ex && for v in $(PYVERSIONS) ; do set $(CURDIR)/python/build/lib.*$$v ; PYTHONPATH=$$1 python$$v trydds.py ; done
	@echo pydds test passed.

binary-indep:

binary binary-arch: install test-ddd test-python
	dh_installchangelogs -a release_notes.txt
	dh_installdocs -a -A debian/README.Debian
	dh_installman -a
	dh_installexamples -a
	dh_strip -a
	dh_compress -a
	dh_python2 -p'python-pydds'
	dh_fixperms -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

clean:
	dh_testdir
	$(MAKE) clean
	$(MAKE) -C ddd clean
	rm -rf python/build
	dh_clean build-stamp ddd/giblib.txt python/dll.h python/dds.cpp

VERSION:=$(shell head -n1 debian/changelog | sed -e 's/dds .//' -e 's/-.*//')

origtgz:
	test ! -e ../dds_$(VERSION).orig.tar.gz
	test ! -d dds-$(VERSION)
	test ! -d .pc
	svn export . dds-$(VERSION)
	rm -rf dds-$(VERSION)/debian
	tar -czf ../dds_$(VERSION).orig.tar.gz dds-$(VERSION)
	rm -rf dds-$(VERSION)

.PHONY: build build-indep build-arch clean binary binary-indep binary-arch install configure

## dds 2.9.0

=== debian/changelog ===
dds (2.9.0-7) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #923148)

  [ Christoph Berg ]
  * Mark libdds-dev M-A: same.

 -- Christoph Berg <myon@debian.org>  Mon, 25 Feb 2019 10:31:36 +0100

dds (2.9.0-6) unstable; urgency=medium

  * Pass CFLAGS to examples Makefile as well.
  * Fix compiler warning when used without -flto.
  * Ignore symbol mismatches on non-amd64.
  * Add newly appeared C++ symbols.
  * Ignore test failure on i386; tenace, our main reverse dependency, is not
    affected by the problem. (Closes: #910939)

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 30 Jan 2019 14:21:50 +0100

dds (2.9.0-5) unstable; urgency=medium

  * Move libdds0 to Section: libs. Closes: #909774.
  * Retrieve available memory using sysconf(_SC_PHYS_PAGES) instead of parsing
    the `free` output wrongly. (Closes: #909539)

 -- Christoph Berg <myon@debian.org>  Wed, 10 Oct 2018 22:43:09 +0200

dds (2.9.0-4) unstable; urgency=medium

  * Update libdds0.symbols for armel and armhf.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Sep 2018 22:07:11 +0200

dds (2.9.0-3) unstable; urgency=medium

  * Fix signedness problems with char variables.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 24 Sep 2018 14:01:43 +0200

dds (2.9.0-2) unstable; urgency=medium

  * Depend on procps, uses "free" at run-time.
  * Drop -mtune=generic from compilation flags, works only on x86.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 24 Sep 2018 12:48:41 +0200

dds (2.9.0-1) unstable; urgency=medium

  * New dds upstream version on GitHub.
  * Move ddd and python module to separate source packages.
  * Build shared library in libdds0.
  * Update watch file.
  * Add autopkgtest.

 -- Christoph Berg <myon@debian.org>  Sat, 22 Sep 2018 23:31:56 +0200

=== debian/control ===
Source: dds
Section: games
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>> 11), libboost-thread-dev
Standards-Version: 4.2.0
Homepage: https://privat.bahnhof.se/wb758135/bridge/index.html
Vcs-Browser: https://salsa.debian.org/debian/dds
Vcs-Git: https://salsa.debian.org/debian/dds.git

Package: libdds0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bridge double dummy solver - shared library
 dds is a double dummy solver for Bridge. It computes the optimal line of play
 for a deal, with all hands open (both sides dummy).
 .
 This package contains the shared library.

Package: libdds-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libdds0 (= ${binary:Version})
Description: bridge double dummy solver - development
 dds is a double dummy solver for Bridge. It computes the optimal line of play
 for a deal, with all hands open (both sides dummy).
 .
 This package contains the development headers and documentation.

=== debian/rules ===
#!/usr/bin/make -f

SOVERSION = 0

include /usr/share/dpkg/architecture.mk

# ignore symbol mismatches on non-amd64, C++ symbols change too often
ifneq ($(DEB_HOST_ARCH),amd64)
export DPKG_GENSYMBOLS_CHECK_LEVEL = 0
endif

# ignore test failure on i386, the failure doesn't affect the actual library (TODO: fix this)
ifeq ($(DEB_HOST_ARCH),i386)
I = -
endif

override_dh_auto_clean:
	$(MAKE) -C src -f Makefiles/Makefile_linux_shared clean
	$(MAKE) -C examples -f Makefiles/Makefile_linux clean
	rm -f examples/*.o examples/libdds.so

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile --sourcedirectory=src -- -f Makefiles/Makefile_linux_shared

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ln -sf ../src/libdds.so.$(SOVERSION) examples/libdds.so
	$(MAKE) -C examples -f Makefiles/Makefile_linux DealerPar
	$(I)LD_LIBRARY_PATH=src examples/DealerPar
endif

override_dh_auto_install:
	install -m644 -D src/libdds.so.$(SOVERSION) debian/libdds$(SOVERSION)/usr/lib/$(DEB_HOST_MULTIARCH)/libdds.so.$(SOVERSION)
	install -d debian/libdds-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	ln -s libdds.so.$(SOVERSION) debian/libdds-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libdds.so

%:
	dh $@

=== debian/tests/control ===
Depends: @, build-essential
Tests: dealerpar
Restrictions: allow-stderr
